Skip to main content
GET
Get a manifest add-on

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

addon_id
string
required

The manifest add-on's id.

Response

The add-on.

The catalog detail + publish-state payload.

id
string
required
name
string
required
display_name
string
required
description
string | null
required
icon_url
string | null
required
home_url
string | null
required
license
string | null
required
keywords
string[]
required
category
string | null
required
source_application_id
string
required
source_repo
string
required
source_deleted
boolean
required
unpublished
boolean
required
latest_version
string
required
versions
ApplicationManifestAddonVersionItem · object[]
required
installs
ApplicationManifestAddonInstall · object[]
required